[build-system]
requires = ["setuptools"]
build-backend = "setuptools.build_meta"

[project]
name = "ljg-sh"
dynamic = ["version"]
description = ""
readme = "README.md"
requires-python = "~=3.11"
license = {file = "LICENSE"}
authors = [{name = "Luca", email = "Luca@hackerspace-bamberg.de"}]

dependencies = [
  "Django~=4.2.4",
  "django-environ~=0.11.2",
  "mozilla-django-oidc~=3.0.0",
  "Pillow~=10.0.0",
  "qrcode~=7.4.2",
]

[project.optional-dependencies]
dev = [
  "black",
  "isort",
]
postgres = ["psycopg2-binary"]

[tool.isort]
profile = "black"

[tool.setuptools.dynamic]
version = {attr = "ljg.__version__"}
